Subject: Re: [PATCH] net: fix bridge multicast packet checksum validation

From: Linus Lüssing <[email-masked]>
Date: Thu, 18 Feb 2016 14:36:44 +0100

On Thu, Feb 18, 2016 at 01:51:34PM +0100, Steinar H. Gunderson wrote:
> On Mon, Feb 15, 2016 at 03:07:06AM +0100, Linus Lüssing wrote:
> > Steinar, can you check whether this fixes the bridge issues you reported on
> > bugzilla #99081? Not quite sure whether it is the same as yours as you
> > do not seem to have any such call traces.
> 
> It doesn't immediately sound like the same problem; why would promisc change
> anything if the problem is the checksumming?

The mdb you provided in the bugzilla ticket misses reports, so it
was unable to parse reports. Which could point to a checksumming
problem.

Enabling promisc probably did not fix the parsing for you, but instead
promisc forces to forward packets upstream on your interface independent
of the mdb. I would assume that even with promisc, your output
from "bridge mdb show" looks rather empty. Can you check?

> 
> I don't have any reboots scheduled for this machine right now, but I'll see
> what I can do wrt. testing.

Thanks :).